xmlwrapp Lightweight C++ XML parsing library

Public Types | Public Member Functions | List of all members
xml::const_nodes_view Class Reference

This class implements a read-only view of XML nodes. More...

`#include <nodes_view.h>`

## Public Types
typedef std::size_t | size_type
| Size type. More...

## Public Member Functions
const_iterator | begin () const
| Get an iterator that points to the beginning of this view's nodes. More...
const_iterator | end () const
| Get an iterator that points one past the last child for this view. More...
size_type | size () const
| Returns the number of nodes in this view. More...
bool | empty () const
| Is the view empty? More...

## Detailed Description

This class implements a read-only view of XML nodes.

The only difference from xml::nodes_view is that it doesn't allow modifications of the nodes, it is otherwise identical.

See also
  nodes_view

Since
  0.6.0

## Member Typedef Documentation

## ◆ size_type

typedef std::size_t xml::const_nodes_view::size_type

Size type.

## Member Function Documentation

## ◆ begin()

const_iterator xml::const_nodes_view::begin | ( |  | ) | const
| inline

Get an iterator that points to the beginning of this view's nodes.

## ◆ empty()

bool xml::const_nodes_view::empty | ( |  | ) | const
| inline

Is the view empty?

## ◆ end()

const_iterator xml::const_nodes_view::end | ( |  | ) | const
| inline

Get an iterator that points one past the last child for this view.

## ◆ size()

size_type xml::const_nodes_view::size | ( |  | ) | const

Returns the number of nodes in this view.

The documentation for this class was generated from the following file:

- xmlwrapp/nodes_view.h